petsc-3.7.1 2016-05-15
Report Typos and Errors

# PetscPartitionerSetType

Builds a particular PetscPartitioner

### Synopsis

    #include "petscdmplex.h"
    PetscErrorCode PetscPartitionerSetType(PetscPartitioner part, PetscPartitionerType name)

Collective on PetscPartitioner Many br

### Input Parameters

| part | - The PetscPartitioner object Many br
| name | - The kind of partitioner Many br

### Options Database Key

-petscpartitioner_type <type> -Sets the PetscPartitioner type; use -help for a list of available types Many br

Many br

### Keywords

PetscPartitioner, set, type

### See Also

PetscPartitionerGetType(), PetscPartitionerCreate()

Level:intermediate
Location:src/dm/impls/plex/plexpartition.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/snes/examples/tutorials/ex62.c.html
src/snes/examples/tutorials/ex77.c.html